Bug 1467056 - Cluster creation via REST results in empty scheduling policy properties fields in the UI
Cluster creation via REST results in empty scheduling policy properties field...
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.2.0
: ---
Assigned To: Phillip Bailey
Artyom
: Triaged
: 1464763 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 06:22 EDT by Nelly Credi
Modified: 2017-09-28 04:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+
rule-engine: planning_ack+
dfediuck: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
screenshot of the empty fields (128.66 KB, image/png)
2017-07-02 06:22 EDT, Nelly Credi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 79502 master MERGED webadmin: Populate values in KeyValueWidgets 2017-07-17 13:17 EDT

  None (edit)
Description Nelly Credi 2017-07-02 06:22:14 EDT
Created attachment 1293599 [details]
screenshot of the empty fields

Description of problem:
When creating a cluster via REST API, the operation succeeds, but afterwards, when looking in the UI we can see that the scheduling policy properties - highUtilization & cpuOvercommitDurationMinutes are empty. In the rest they appear as expected.

Version-Release number of selected component (if applicable):
ovirt-engine-4.2.0-0.0.master.20170627181935.git9424f9b.el7.centos.noarch
ovirt-engine-restapi-4.2.0-0.0.master.20170627181935.git9424f9b.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. create cluster via REST API 
2. open the webadmin and check the cluster scheduling policy properties 
3.

Actual results:
In the UI the scheduling policy properties dont appear 

Expected results:
scheduling policy properties should appear in the UI

Additional info:

in REST we can see that the values exist:

<cluster href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c" id="65316857-7513-45a1-8183-57706fb8639c">
<actions>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/resetemulatedmachine" rel="resetemulatedmachine"/>
</actions>
<name>golden_env_mixed_1</name>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/glusterhooks" rel="glusterhooks"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/glustervolumes" rel="glustervolumes"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/affinitygroups" rel="affinitygroups"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/networkfilters" rel="networkfilters"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/networks" rel="networks"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/permissions" rel="permissions"/>
<link href="/ovirt-engine/api/clusters/65316857-7513-45a1-8183-57706fb8639c/cpuprofiles" rel="cpuprofiles"/>
<ballooning_enabled>false</ballooning_enabled>
<cpu>
<architecture>x86_64</architecture>
<type>Intel Conroe Family</type>
</cpu>
<custom_scheduling_policy_properties>
<property>
<name>HighUtilization</name>
<value>75</value>
</property>
<property>
<name>CpuOverCommitDurationMinutes</name>
<value>1</value>
</property>
<property>
<name>HeSparesCount</name>
<value>0</value>
</property>
</custom_scheduling_policy_properties>
Comment 1 Oved Ourfali 2017-07-02 08:37:35 EDT
If the properties appear in the rest api, then it isn't an api issue. 
Moving to sla to check why the ui isn't showing that.
Comment 2 Doron Fediuck 2017-07-05 05:38:52 EDT
Can you be more specific on what properties you're referring to?
What is the expected result?
Comment 3 Nelly Credi 2017-07-05 06:02:47 EDT
<property>
<name>HighUtilization</name>
<value>75</value>
</property>
<property>
<name>CpuOverCommitDurationMinutes</name>
<value>1</value>
</property>

they appear in the object when querying via the api.
i would expect it to be filled in the UI when I create the object,
otherwise if ill try to edit the cluster in the ui, 
ill get an error that these fields are empty
Comment 4 Doron Fediuck 2017-07-05 06:10:01 EDT
(In reply to Nelly Credi from comment #3)
> <property>
> <name>HighUtilization</name>
> <value>75</value>
> </property>
> <property>
> <name>CpuOverCommitDurationMinutes</name>
> <value>1</value>
> </property>
> 
> they appear in the object when querying via the api.
> i would expect it to be filled in the UI when I create the object,
> otherwise if ill try to edit the cluster in the ui, 
> ill get an error that these fields are empty

If you refresh the screen will it show up?
Comment 5 Nelly Credi 2017-07-05 06:19:36 EDT
no
Comment 6 Martin Sivák 2017-07-18 11:43:31 EDT
*** Bug 1464763 has been marked as a duplicate of this bug. ***
Comment 13 Artyom 2017-07-20 03:11:39 EDT
Verified on ovirt-engine-4.2.0-0.0.master.20170718165351.gita56ecd5.el7.centos.noarch

1) Create new cluster via REST
<cluster>
<name>test</name>
<cpu>
<architecture>x86_64</architecture>
<type>Intel Conroe Family</type>
</cpu>
<version>
<major>4</major>
<minor>2</minor>
</version>
<data_center id="58cfb470-02f3-03d7-0386-0000000003bc"/>
</cluster>
2) Check scheduling policy parameters via UI, parameters exist
3) Update cluster name only, succeeded

Note You need to log in before you can comment on or make changes to this bug.